MONGOC_CLIENT_POOL_TRY_POP(3)

NAME
mongoc_client_pool_try_pop - mongoc_client_pool_try_pop()

SYNOPSIS

mongoc_client_t *
mongoc_client_pool_try_pop (mongoc_client_pool_t *pool);

This function is identical to mongoc_client_pool_pop() except it will return NULL instead of blocking for a client to become available.

PARAMETERS

•   pool: A mongoc_client_pool_t.

RETURNS

A mongoc_client_t if one is immediately available, otherwise NULL.

THREAD SAFETY

This function is safe to call from multiple threads.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc